summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author ponce2012-02-19 06:51:30 +0100
committer Robby Workman2012-02-20 19:20:44 +0100
commit720d65df0685b74cf5624df3134d47a3ff219d92 (patch)
tree67e01a83afe619bcab8075b44ad8b4479ef7b8ec /development
parent69618e0ae2d9a3536c40f303dccecb2eeee75953 (diff)
downloadslackbuilds-720d65df0685b74cf5624df3134d47a3ff219d92.tar.gz
development/spice-protocol: Added (spice protocol headers)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/spice-protocol/README6
-rw-r--r--development/spice-protocol/slack-desc19
-rw-r--r--development/spice-protocol/spice-protocol.SlackBuild49
-rw-r--r--development/spice-protocol/spice-protocol.info10
4 files changed, 84 insertions, 0 deletions
diff --git a/development/spice-protocol/README b/development/spice-protocol/README
new file mode 100644
index 0000000000..481b424168
--- /dev/null
+++ b/development/spice-protocol/README
@@ -0,0 +1,6 @@
+spice-protocol (spice protocol headers)
+
+Spice protocol defines a set of protocol messages for accessing,
+controlling, and receiving inputs from remote computing devices (e.g.,
+keyboard, video, mouse) across networks, and sending output to them.
+These are the protocol header files.
diff --git a/development/spice-protocol/slack-desc b/development/spice-protocol/slack-desc
new file mode 100644
index 0000000000..1adcc5e71e
--- /dev/null
+++ b/development/spice-protocol/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spice-protocol: spice-protocol (spice protocol headers)
+spice-protocol:
+spice-protocol: Spice protocol defines a set of protocol messages for accessing,
+spice-protocol: controlling, and receiving inputs from remote computing devices (e.g.,
+spice-protocol: keyboard, video, mouse) across networks, and sending output to them.
+spice-protocol: These are the protocol header files.
+spice-protocol:
+spice-protocol: homepage: http://spice-space.org
+spice-protocol:
+spice-protocol:
+spice-protocol:
diff --git a/development/spice-protocol/spice-protocol.SlackBuild b/development/spice-protocol/spice-protocol.SlackBuild
new file mode 100644
index 0000000000..2b17098a4a
--- /dev/null
+++ b/development/spice-protocol/spice-protocol.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for spice-protocol
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=spice-protocol
+VERSION=${VERSION:-0.10.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/spice-protocol/spice-protocol.info b/development/spice-protocol/spice-protocol.info
new file mode 100644
index 0000000000..8acbdf98f9
--- /dev/null
+++ b/development/spice-protocol/spice-protocol.info
@@ -0,0 +1,10 @@
+PRGNAM="spice-protocol"
+VERSION="0.10.1"
+HOMEPAGE="http://spice-space.org"
+DOWNLOAD="http://spice-space.org/download/releases/spice-protocol-0.10.1.tar.bz2"
+MD5SUM="7147ef0d9295dbe44510870f8d047e9c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED="rworkman"